Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229281 - FutureFeature: Requesting version 1.10
Summary: FutureFeature: Requesting version 1.10
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: automake
Version: 5
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 21:55 UTC by Debarshi Ray
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-02 12:44:54 UTC


Attachments (Terms of Use)

Description Debarshi Ray 2007-02-19 21:55:28 UTC
Description of problem:
This is to request you to kindly make version 1.10 of Automake available for
Fedora Core 5.

Version-Release number of selected component (if applicable):
The current version of Automake is 1.9.6.

Rationale:
I use automake (and autoconf) to generate the build infrastructure of a number
of programs I develop. GNU Parted is one such program. We are shifting to
Automake 1.10 (and Autoconf 2.61)  from now onwards to avoid having the bugs
that were fixed in the latest releases of Automake in the build infrastructure.
eg., if you use  automake-1.9.6, you end up distributing build infrastructure
that selects a version of "mkdir -p" that is not thread safe, and that may fail
when building with "make -j2".

Comment 1 Karsten Hopp 2007-03-02 12:44:54 UTC
Automake-1.10 broke quite a few builds when it replaced automake-1.9.* in our 
buildsystem.
As you seem to be familiar with the autofoo stuff, you should be able to 
rebuild the FC7(rawhide) package on your FC-6 system and cope with the 
resulting build problems. 
But I won't release a automake-1.10 for either FC-6 (bug #230609) or FC-6 as
not everyone is able to fix the resulting problems.


Note You need to log in before you can comment on or make changes to this bug.